package com.chinaitop;

import com.chinaitop.depot.feign.FeignBasicService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * 吉东杰
 * 2020/7/30
 */
@Component
public class HystrixClientFallback implements FeignBasicService {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);


    @Override
    public void updateWarehouseCrkStatus(Integer wareId, String crk_status) {
        logger.info("warehouseId: " + wareId + "warehouseStatus" + crk_status);
    }
}
