package com.chinaitop.depot.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "depot-business")
public interface FeignBusinessService {

    //远程调用，更新上传的bid
    @RequestMapping(value="/depot/business/file/updateFile", method=RequestMethod.POST)
    void updateFile(@RequestParam(value = "fileIds") String fileIds, @RequestParam(value = "bid") Integer bid,@RequestParam(value = "fileType") String fileType);
//String fileIds, Integer bid, String fileType
}