package com.chinaitop.depot.storage.service;

import com.chinaitop.depot.storage.model.StorageQualitycheckSon;
import com.chinaitop.depot.storage.model.StorageQualitycheckSonExample;

import java.util.List;
import java.util.Map;

/**
 * @author sunhongbing
 * @Date 2017/12/23
 */
public interface StorageQualitycheckSonService {
    List<StorageQualitycheckSon> findQualitycheckSonExample(StorageQualitycheckSonExample storageQualitycheckSonExample);
    /**
     * 根据qualitycheckId删除数据
     * @param
     */
    public void removeSon(StorageQualitycheckSonExample storageQualitycheckSonExample);

    /**
     * 获取qualitycheck 对应的数据
     * @param foodbasicinfoId
     * @return
     */
    List<StorageQualitycheckSon> getQualitycheckSonByFoodbasicinfoCheck(Integer foodbasicinfoId);

    /**
     * 根据qualitycheckId查询数据
     * @param id
     * @return
     */
    List<StorageQualitycheckSon> selectByQualitycheckId(Integer id);

    Map<String, Object> findQualitycheckSon(Integer id);
}
