package com.chinaitop.depot.storage.service.impl;

import com.chinaitop.depot.storage.mapper.StorageQualitycheckCheckcodeMapper;
import com.chinaitop.depot.storage.mapper.StorageQualitycheckMapper;
import com.chinaitop.depot.storage.mapper.StorageQualitycheckSonMapper;
import com.chinaitop.depot.storage.model.*;
import com.chinaitop.depot.storage.service.StorageQualitycheckCheckcodeService;
import com.chinaitop.depot.storage.service.StorageQualitycheckService;
import com.chinaitop.depot.storage.service.StorageQualitycheckSonService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class StorageQualitycheckCheckcodeServiceImpl implements StorageQualitycheckCheckcodeService {

	@Resource
	private StorageQualitycheckMapper qualitycheckMapper;
	@Resource
	private StorageQualitycheckCheckcodeMapper qualitycheckCheckcodeMapper;
	@Resource
	private StorageQualitycheckSonMapper storageQualitycheckSonMapper;
    @Resource
    private StorageQualitycheckSonService qualitycheckSonService;
    @Resource
    private StorageQualitycheckCheckcodeService qualitycheckCheckcodeService;




    @Override
	public List<StorageQualitycheckCheckcode> findByCondition(StorageQualitycheckCheckcodeExample example) {
		return qualitycheckCheckcodeMapper.selectByExample(example);
	}

	@Override
	public List<Map<String, Object>> getCodeList() {
		return qualitycheckCheckcodeMapper.getCodeList();
	}
}