package com.chinaitop.depot.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;

@FeignClient(name = "depot-basic")
public interface FeignBasicService {

    //远程调用，更新货位状态
    @RequestMapping(value="/Warehouse/updateWarehouseCrkStatus", method=RequestMethod.POST)
    void updateWarehouseCrkStatus(@RequestParam(value = "wareId") Integer wareId, @RequestParam(value = "crk_status") String crk_status);

}