package com.chinaitop.depot.storage.controller;


import com.chinaitop.depot.storage.model.StorageQualitycheck;
import com.chinaitop.depot.storage.model.StorageQualitycheckCheckcode;
import com.chinaitop.depot.storage.model.StorageQualitycheckCheckcodeExample;
import com.chinaitop.depot.storage.model.StorageQualitycheckExample;
import com.chinaitop.depot.storage.service.StorageQualitycheckCheckcodeService;
import com.chinaitop.depot.storage.service.StorageQualitycheckService;
import com.chinaitop.depot.storage.service.StorageQualitycheckSonService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.*;
import java.util.concurrent.ConcurrentHashMap;

import static com.sun.org.apache.xalan.internal.xsltc.compiler.util.Type.Int;

/**
 * Created by product on 2017/10/11.
 */
@RestController
@RequestMapping(value = {"/qualitycheckcheckcode"})
@Api(value= "StorageQualitycheckController", description = "质量管理控制类")
public class StorageQualitycheckCheckcodeController {
    @Resource
    private StorageQualitycheckService storageQualitycheckService;

    @Resource
    private StorageQualitycheckCheckcodeService storageQualitycheckcodeService;


//http://localhost:9025//depot-qualitycheck/qualitycheckcheckcode/getStoreQualityListAndCode
    @RequestMapping(value = "/getStoreQualityListAndCode",produces = MediaType.APPLICATION_JSON_VALUE, method = RequestMethod.GET )
    @ApiOperation(value="查询质量管理列表(带编码)", notes = "查询质量管理列表(带编码)")
    public List<Map<String,Object>> getStoreQualityListAndCode(){
        Map<String, Object> map = new HashMap<String, Object>();

        List<Map<String,Object>> listQualityUs=storageQualitycheckService.getQualityListUs();
        List<Map<String,Object>> listQualityCode=storageQualitycheckcodeService.getCodeList();

        /*for(int j = 0; j < listQualityUs.size(); j++) {
            Map<String, Object> m = listQualityUs.get(j);
            Iterator<Map.Entry<String, Object>> it = m.entrySet().iterator();
            while(it.hasNext()){
                Map.Entry<String, Object> entry = it.next();
                if(entry.getKey().equals("impurity")){
                    it.remove();//使用迭代器的remove()方法删除元素
                }
            }
        }
        */
        for(int j = 0; j < listQualityUs.size(); j++){
            Map<String, Object> m=listQualityUs.get(j);
            Iterator<Map.Entry<String, Object>> k = m.entrySet().iterator();
            while(k.hasNext()){
                Map.Entry<String, Object> entry = k.next();
                System.out.println(k);
                String kname =entry.getKey();
                for(int i = 0; i < listQualityCode.size(); i++){
                    String name =(String)listQualityCode.get(i).get("sto_name");
                    if (kname == name || kname.equals(name) || name.equals(kname)){
                        m.put(kname+listQualityCode.get(i).get("code"),entry.getValue());
                        k.remove();
                        //return listQualityUs;
                    }
                }
                //break;
            }
            //break;
        }
        return listQualityUs;
    }




}